/*
 * Holodisk from Fallout 1 and Fallout 2
 *
 * Main source: https://fallout.fandom.com/wiki/Holotape
 * Inspiration: https://www.artstation.com/artwork/R14Y
 * Related: http://cedmagic.com/history/holotape.html
 */

width=55;
depth=100;
height=16;
wall=3;
plate=3;
top_rim=2;
bolt_headtype="hex";
front_body_depth=12;
front_body_bolt_offset=8;
back_bumpers_radius=5;
back_bumpers_bolt_size=3;
tape_height=5;
tape_thickness=0.2;
spool_tape_tolerance=1;
spool_inner_height=tape_height+spool_tape_tolerance;
spool_inner_radius=4;
spool_outer_radius=18;
spool_plate_height=2;
spool_plate_holes=3;
spool_plate_hole_angle=360/spool_plate_holes * 0.5;
spool_plate_hole_inner_rim=1;
spool_plate_hole_outer_rim=4;
spool_slit_depth=0.8;
spool1_depth=depth*0.77;
spool2_depth=depth*0.40;
spool3_depth=(spool1_depth+spool2_depth)/2;
spool4_depth=depth*0.16;
main_spools_x=width * 0.45;
aux_spools_right_x=main_spools_x + spool_outer_radius + 1;
aux_spools_left_x=main_spools_x - 13;
middle_spool_in_r=2;
middle_spool_out_r=7;
aux_spool_plate_hole_inner_rim=2;
aux_spool_plate_hole_outer_rim=2;
spindle_diam=2;
spindle_diam_tolerance=0.2;
tape_z=plate+spool_plate_height;

// dependency: https://github.com/revarbat/BOSL
use <BOSL/transforms.scad>
use <BOSL/metric_screws.scad>
use <BOSL/masks.scad>

include <holodisk.scad>
include <reader.scad>
